Skip to main content
DELETE
/
captive
/
auth-integrations
/
{authIntegrationId}
Delete an auth integration
curl --request DELETE \
  --url https://v1.api.altostrat.io/captive/auth-integrations/{authIntegrationId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/captive/auth-integrations/{authIntegrationId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/captive/auth-integrations/{authIntegrationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "type": "invalid_request_error",
  "code": "parameter_missing",
  "message": "The 'name' parameter is required for this request.",
  "doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
  "type": "invalid_request_error",
  "code": "parameter_missing",
  "message": "The 'name' parameter is required for this request.",
  "doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
  "type": "invalid_request_error",
  "code": "parameter_missing",
  "message": "The 'name' parameter is required for this request.",
  "doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
  "type": "invalid_request_error",
  "code": "parameter_missing",
  "message": "The 'name' parameter is required for this request.",
  "doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

API Key authentication. Provide your token in the 'Authorization' header. Example: Authorization: Bearer <YOUR_TOKEN>

Path Parameters

authIntegrationId
string<uuid>
required

The unique identifier for the authentication integration.

Example:

"c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f"

Response

The auth integration was deleted successfully.